{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}

<div class="col-xs-12">
    <div class="messages">

    </div>
    <div class="content-box-header">
        <div class="panel-title">{{"Sales per warehouse"|trans}}</div>
        
      <div class="panel-options">
       
              
      </div>
      <div class="sales-filters" style="display:inline-block;">
        <div class="col-xs-12 col-md-6">
            <input type="text" class="form-control start_date"  placeholder="Start date">
          </div>
          <div class="col-xs-12 col-md-6">
            <input type="text" class="form-control end_date" placeholder="End date">
          </div>
      </div>
    </div>
    <div class="content-box-large box-with-header">
   
        <div class="row">
            <div class="col-md-12">
              <div class="custom-chart" id="hero-bar" data-start="{{startOfMonth.format("Y-m-d H:i")}}" data-end="{{endOfMonth.format("Y-m-d H:i")}}" data-tok="{{apiToken}}" data-url="{{path('api_sales_per_warehouse')}}" style="height: 230px;"></div>
            </div>
           
        </div>  

  </div>
</div>

<div class="col-xs-12">
    <div class="messages">

    </div>
    <div class="content-box-header">
        <div class="panel-title">{{"Sales costs"|trans}}</div>
      
      <div class="panel-options">
         
      </div>
      <div class="sale-costs-filters" style="display:inline-block;">
            <div class="col-xs-12 col-md-6">
                <input type="text" class="form-control start_date"  placeholder="Start date">
            </div>
            <div class="col-xs-12 col-md-6">
                <input type="text" class="form-control end_date" placeholder="End date">
            </div>
      </div>
    </div>
    <div class="content-box-large box-with-header">
   
        <div class="custom-chart" id="hero-graph"  data-start="{{startOfMonth.copy().subMonths(4).format("Y-m-d H:i")}}" data-end="{{endOfMonth.copy().addMonths(1).format("Y-m-d H:i")}}" data-mode="month" data-tok="{{apiToken}}" data-url="{{path('api_costs_per_period')}}" style="height: 230px;"></div>

  </div>
</div>

<div class="col-xs-12">
    <div class="messages">

    </div>
    <div class="content-box-header">
        <div class="panel-title">{{"Order totals"|trans}}</div>
      
      <div class="panel-options">
         
      </div>
      <div class="order-totals-filters" style="display:inline-block;">
            <div class="col-xs-12 col-md-6">
                <input type="text" class="form-control start_date"  placeholder="Start date">
            </div>
            <div class="col-xs-12 col-md-6">
                <input type="text" class="form-control end_date" placeholder="End date">
            </div>
      </div>
    </div>
    <div class="content-box-large box-with-header">
   
        <div class="custom-chart" id="catchart" data-start="{{startOfYear.format("Y-m-d H:i")}}" data-end="{{endOfYear.format("Y-m-d H:i")}}"  data-tok="{{apiToken}}" data-url="{{path('api_sales_per_period')}}"  style="width:100%;height:300px"></div>

  </div>
</div>
<div class="col-xs-12 ">
        <div class="messages">
    
        </div>
        <div class="content-box-header">
            <div class="panel-title">{{"Income vs expense"|trans}}</div>
          
          <div class="panel-options">
             
          </div>
          <div class="tax-vs-expense-filters" style="display:inline-block;">
              <div class="col-xs-12 col-md-4">
                  <input type="text" class="form-control start_date"  placeholder="Start date">
              </div>
              <div class="col-xs-12 col-md-4">
                  <input type="text" class="form-control end_date" placeholder="End date">
              </div>
              <div class="col-xs-12 col-md-4">
                  <select class="form-control include_stock">
                    <option value="0">{{"Exclude products in stock"|trans}}</option>
                    <option value="1">{{"Include products in stock"|trans}}</option>
                  </select>
              </div>
          </div>
        </div>
        <div class="content-box-large box-with-header col-md-6 col-xs-12">
                 
                <div class="custom-chart" id="piechart2" data-start="{{startOfMonth.format("Y-m-d H:i")}}" data-end="{{endOfMonth.format("Y-m-d H:i")}}" data-tok="{{apiToken}}" data-url="{{path('api_income_vs_expense_per_period')}}" data-include-stock="0" style="width:100%;height:200px"></div>
              
      </div>
      <div class="content-box-large box-with-header col-md-6 col-xs-12">
                 
          <div id="piechart1" data-start="{{startOfMonth.format("Y-m-d H:i")}}" data-end="{{endOfMonth.format("Y-m-d H:i")}}" data-tok="{{apiToken}}" data-url="{{path('api_income_vs_expense_per_period')}}" data-include-stock="0" style="width:100%;height:200px"></div>
        
</div>
</div>
<div class="col-xs-12 ">
    <div class="messages">

    </div>
    <div class="content-box-header">
        <div class="panel-title">{{"Income vs expense data"|trans}}</div>
      
      <div class="panel-options">
         
      </div>
     
    </div>
    <div id="profit-table" class="content-box-large box-with-header col-xs-12">
       <div class="table-responsive">   
        <table class="table table-bordered income-expense-table">
            <thead>
              <tr>
                <th colspan="2">{{"Incomes"}}</th>
                <th colspan="2">{{"Expenses"}}</th>
                
              </tr>
            </thead>
            <tbody>
              <tr>
                <td class="sales-income-label"></td>
                <td class="sales-income-data"></td>
                <td class="additional-expense-label"></td>
                <td class="additional-expense-data"></td>
              </tr>
              <tr>
                <td class="additional-income-label"></td>
                <td class="additional-income-data"></td>
                <td class="products-expense-label"></td>
                <td class="products-expense-data"></td>
              </tr>
              <tr>
                <td></td>
                <td></td>
                <td class="taxes-expense-label"></td>
                <td class="taxes-expense-data"></td>
              </tr>
              <tr>
                  <td></td>
                  <td></td>
                  <td class="salaries-expense-label"></td>
                  <td class="salaries-expense-data"></td>
                </tr>
              <tr class="products-stock" style="display:none;">
                  <td></td>
                  <td></td>
                  <td class="products-stock-expense-label"></td>
                  <td class="products-stock-expense-data"></td>
              </tr>
              <tr>
                  <td style="font-weight:bold">{{"Total income"}}</td>
                  <td style="font-weight:bold" class="total-income-data"></td>
                  <td style="font-weight:bold">{{"Total expense"}}</td>
                  <td style="font-weight:bold" class="total-expense-data"></td>
                </tr>
                <tr class="profit-row">
                    <td ></td>
                    <td ></td>
                    <td style="font-weight:bold">{{"Profit"}}</td>
                    <td style="font-weight:bold" class="profit-data"></td>
                  </tr>
            </tbody>
          </table>
        </div>   
          
  </div>

</div>
<div class="col-xs-12">
    <div class="messages">

    </div>
    <div class="content-box-header">
        <div class="panel-title">{{"Additional income vs expense"|trans}}</div>
      
      <div class="panel-options">
         
      </div>
      <div class="additional-income-expense-filters" style="display:inline-block;width:100%;">
            <div class="col-xs-12 col-sm-3 col-md-2">
                <select class="form-control start_month"  placeholder="{{'Month'|trans}}">
                  <option value="">{{"Choose month"}}</option>
                  {% for month in validMonths %}
                    <option value="{{month}}">{{month}}</option>
                  {% endfor %}
                </select>
            </div>
            <div class="col-xs-12 col-sm-3 col-md-2">
                <select class="form-control start_year"  placeholder="{{'Year'|trans}}">
                    <option value="">{{"Choose year"}}</option>
                    {% for year in validYears %}
                      <option value="{{year}}">{{year}}</option>
                    {% endfor %}
                  </select>
            
            </div>
      </div>
    </div>
    <div class="content-box-large box-with-header">
   
        <div class="custom-chart" id="income-expense-graph"  data-start="{{startOfMonth.format("Y-m-d H:i")}}" data-end="{{endOfMonth.format("Y-m-d H:i")}}" data-mode="week" data-tok="{{apiToken}}" data-url="{{path('api_additional_income_expense_per_period')}}" style="height: 230px;"></div>

  </div>
</div>
<div class="col-xs-12 ">
    <div class="messages">

    </div>
    <div class="content-box-header">
        <div class="panel-title">{{"Additional income vs expense detailed"|trans}}</div>
      
      <div class="panel-options">
         
      </div>
     
    </div>
    <div id="detailed-table" class="content-box-large box-with-header col-xs-12">
       <div class="table-responsive">   
        <table class="table table-bordered additional-income-expense-table">
            <thead>
              <tr>
                <th colspan="2">{{"Incomes"}}</th>
                <th colspan="2">{{"Expenses"}}</th>
                
              </tr>
            </thead>
            <tbody id="detailed-table-body">
             
            </tbody>
            <thead>
                <tr>
                    <td style="font-weight:bold">{{"Total income"}}</td>
                    <td style="font-weight:bold" class="total-additional-income-data"></td>
                    <td style="font-weight:bold">{{"Total expense"}}</td>
                    <td style="font-weight:bold" class="total-additional-expense-data"></td>
                </tr>
            </thead>
         
          </table>
        </div>   
          
  </div>

</div>
{% endblock %}

{% block scripts %}
      {{parent()}}
        <script src="{{asset('vendors/jquery.knob.js')}}"></script>
        <script src="{{asset('vendors/raphael-min.js')}}"></script>
        <script src="{{asset('vendors/morris/morris.min.js')}}"></script>

        <script src="{{asset('vendors/flot/jquery.flot.js')}}"></script>
        <script src="{{asset('vendors/flot/jquery.flot.categories.js')}}"></script>
        <script src="{{asset('vendors/flot/jquery.flot.pie.js')}}"></script>
        <script src="{{asset('vendors/flot/jquery.flot.time.js')}}"></script>
        <script src="{{asset('vendors/flot/jquery.flot.stack.js')}}"></script>
        <script src="{{asset('vendors/flot/jquery.flot.resize.js')}}"></script>
       <script src="{{asset('js/finance.js')}}"></script>         
{% endblock %}


